Oracle Linux 5 : cups (ELSA-2008-1029)

Medium Nessus Plugin ID 67776


The remote Oracle Linux host is missing one or more security updates.


From Red Hat Security Advisory 2008:1029 :

Updated cups packages that fix a security issue are now available for Red Hat Enterprise Linux 5.

This update has been rated as having moderate security impact by the Red Hat Security Response Team.

The Common UNIX(r) Printing System (CUPS) provides a portable printing layer for UNIX operating systems.

A NULL pointer dereference flaw was found in the way CUPS handled subscriptions for printing job completion notifications. A local user could use this flaw to crash the CUPS daemon by submitting a large number of printing jobs requiring mail notification on completion, leading to a denial of service. (CVE-2008-5183)

Users of cups should upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected cups packages.

See Also

Plugin Details

Severity: Medium

ID: 67776

File Name: oraclelinux_ELSA-2008-1029.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2016/05/26

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:cups, p-cpe:/a:oracle:linux:cups-devel, p-cpe:/a:oracle:linux:cups-libs, p-cpe:/a:oracle:linux:cups-lpd, cpe:/o:oracle:linux:5

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/12/15

Reference Information

CVE: CVE-2008-5183

BID: 32419

RHSA: 2008:1029

CWE: 399